package com.duiba.tuia.youtui.web.tool;

import cn.com.duiba.wolf.utils.JavaScriptUtil;

/** 
 * ClassName:Token.java <br/>
 * @author  gey 
 * @date 创建时间：2016年11月23日 下午4:44:42 
 * @version 1.0 
 * @parameter  
 * @since   JDK 1.6
 */
public class Token {
    
    private Token() {}
	
    /**
     * 
     * obfuscateToken:(这里用一句话描述这个方法的作用). <br/>
     * AJAX返回TOKEN将TOKEN混淆JS代码
     * @param token
     * @return
     * @since JDK 1.6
     */
	public static String obfuscateToken(String token) {
		String tokenjs = "_token = \"" + token + "\"";
		return JavaScriptUtil.obfuscateScript(tokenjs);
	}
	
	/**
	 * 
	 * obfuscateOrderToken:(这里用一句话描述这个方法的作用). <br/>
	 * @param token
	 * @return
	 * @since JDK 1.6
	 */
	public static String obfuscateOrderToken(String token) {
		String tokenjs = "_orderToken = \"" + token + "\"";
		return JavaScriptUtil.obfuscateScript(tokenjs);
	}
}
